Update a resource assignment
curl --request PATCH \
--url https://api.spacebring.com/resources/v1/assignments/{assignmentId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"assignment": {
"endDate": "2023-11-07T05:31:56Z",
"entire": true,
"quantity": 4503599627370495,
"resourceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.spacebring.com/resources/v1/assignments/{assignmentId}"
payload = { "assignment": {
"endDate": "2023-11-07T05:31:56Z",
"entire": True,
"quantity": 4503599627370495,
"resourceRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignment: {
endDate: '2023-11-07T05:31:56Z',
entire: true,
quantity: 4503599627370495,
resourceRef: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
startDate: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://api.spacebring.com/resources/v1/assignments/{assignmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Resources
Update a resource assignment
Update a resource assignment. Fields left out of the request keep their current value.
OAuth
Required scopes:resourcesPATCH
/
resources
/
v1
/
assignments
/
{assignmentId}
Update a resource assignment
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the assignment.
Body
application/json
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?